
.site-header__menu-mobile {
    position: fixed;
    bottom: 0;
    z-index: 500;
    width: 100%;
    left: 0;
}

.mobile-menu {
    display: flex;
    justify-content: space-between;
    align-items: end;
    text-align: center;
    padding: 0 7px;
    height: 70px;
    position: relative;
    filter: drop-shadow(0px -15px 45px rgba(55, 71, 79, 0.15));
    background: #FFF;
    border-radius: 12px 12px 0px 0px;
}

.mobile-menu::before {
    content: '';
    position: absolute;
    top: -19px;
    left: 50%;
    transform: translateX(-50%);
    width: 80px;
    height: 20px;
    background-image: url("data:image/svg+xml,%3Csvg width='80' height='20' viewBox='0 0 80 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0.757141 20C4.92244 20 8.84409 18.0625 11.4383 14.7657C17.7798 5.83053 28.209 0 40 0C51.7912 0 62.2205 5.8307 68.562 14.7661C71.1562 18.0626 75.0777 20 79.2429 20H0.757141Z' fill='white'/%3E%3C/svg%3E%0A");
}

.mobile-menu__item {
    padding-bottom: 13px;
    flex-basis: 66px;
}

.mobile-menu__item-icon {
    width: 40px;
    height: 40px;
    margin: 0 auto;
}

.mobile-menu__item.menu-main .mobile-menu__item-icon {
    display: flex;
    width: 50px;
    height: 50px;
    border: 1px solid rgba(55, 71, 79, 0.15);
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 5;
}

.mobile-menu__item-icon__toggle {
    display: flex;
}

.mobile-menu__item-icon__toggle svg {
    display: none;
}

.mobile-menu__item.menu-main .mobile-menu__item-name {
    margin-top: 5px;
}


.mobile-menu__item-name {
    font-size: 11px;
    line-height: 12px;
    color: #37474F;
    font-weight: 600;
}





.mobile-menu__item-sub-menu__inner {
    text-align: left;
}

.mobile-menu__item-sub-menu {
    background: #FFFFFF;
    border-radius: 12px 12px 0px 0px;
    position: absolute;
    overflow: hidden;
    bottom: 100%;
    left: 0;
    width: 100%;
    transform: translateY(100%);
    z-index: -1;
    -moz-transition: all .3s ease-out;
    -o-transition: all .3s ease-out;
    -webkit-transition: all .3s ease-out;
    transition: all .3s ease-out;
    max-height: 530px;
    padding: 30px 0;
}

.mobile-menu__item-sub-menu.active {
    transform: translateY(1%);
    box-shadow: 0px -15px 45px rgba(55, 71, 79, 0.15);
}

.mobile-menu__sub-menu__title {
    font-size: 24px;
    line-height: 23px;
    color: #37474F;
    margin-bottom: 6px;
}

.mobile-menu__sub-menu__title.main {
    margin-bottom: 25px;
}


.mobile-menu__sub-menu__items {
    margin-top: 30px;
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    display: -webkit-flex;
    -ms-flex: 0 1 auto;
    -webkit-box-flex: 0;
    flex: 0 1 auto;
    -ms-flex-direction: row;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: row;
    -webkit-flex-wrap: wrap;
    -moz-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    -o-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -5px;
    margin-left: -5px;
}

.mobile-menu__sub-menu__item {
    box-sizing: border-box;
    -ms-flex: 0 0 auto;
    -webkit-box-flex: 0;
    flex: 0 0 auto;
    padding-right: 5px;
    padding-left: 5px;
    -ms-flex-preferred-size: 50%;
    flex-basis: 50%;
    max-width: 50%;
}

.mobile-menu__sub-menu__item-inner {
    background-position: center right;
    background-repeat: no-repeat;
    border: 1px solid rgba(55, 71, 79, .15);
    border-radius: 5px;
    margin-bottom: 10px;
    padding: 12px 14px 18px 14px;
    height: 110px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    position: relative;
    background-size: cover;
}

.mobile-menu__sub-menu__item-name {
    font-size: 11px;
    line-height: 13px;
    color: #37474F;
    font-weight: 600;
}

.mobile-menu__sub-menu__item-text {
    font-weight: 700;
    font-size: 13px;
    line-height: 12px;
    color: #0073AE;
}

.mobile-menu__sub-menu__item-icon {
    position: absolute;
    right: 20px;
    bottom: 20px;
}

.mobile-menu__item-sub-menu__close {
    position: absolute;
    top: 20px;
    right: 20px;
    background-image: url("data:image/svg+xml,%3Csvg width='14' height='14' viewBox='0 0 14 14' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath opacity='0.35' d='M13 1L1 13M1 1L13 13' stroke='%2337474F' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
    width: 35px;
    height: 35px;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 50;
}

.mobile-menu__sub-menu__menu-block {
}

.mobile-menu__sub-menu__menu-item {
    width: 100%;
    border: 1px solid rgba(55, 71, 79, .15);
    border-radius: 5px;
    display: flex;
    height: 50px;
    align-items: center;
    margin-bottom: 4px;
    position: relative;
    transition: all .3s ease-in-out;
}

.mobile-menu__sub-menu__menu-item::before {
    content: '';
    position: absolute;
    width: 6px;
    height: 10px;
    top: 50%;
    transform: translateY(-50%);
    right: 20px;
    transition: all .3s ease-in-out;
    background-image: url("data:image/svg+xml,%3Csvg width='6' height='10' viewBox='0 0 6 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 1L5 5L1 9' stroke='%2337474F' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
}

.mobile-menu__sub-menu__menu-item__inner {
    position: absolute;
    top: 100%;
    padding: 17px 20px;
    background: #FFFFFF;
    box-shadow: 0px 10px 30px rgb(55 71 79 / 15%);
    border-radius: 4px;
    width: calc(100% + 2px);
    z-index: 50;
    margin-top: 15px;
    left: -1px;
    transition: all .3s ease-in-out;
    opacity: 0;
    visibility: hidden;
}

.mobile-menu__sub-menu__menu-item__inner a {
    display: block;
    font-size: 14px;
    line-height: 15px;
    color: #37474F;
    font-weight: 600;
}

.mobile-menu__sub-menu__menu-item__inner a.main {
    color: #0073AE;
}

.mobile-menu__sub-menu__menu-item__inner a:not(:last-of-type) {
    padding-bottom: 18px;
    margin-bottom: 17px;
    border-bottom: 1px solid rgba(55, 71, 79, .15);
}

.mobile-menu__sub-menu__menu-item__icon {
    flex-basis: 50px;
    width: 50px;
    position: relative;
    transition: all .3s ease-in-out;
}

.mobile-menu__sub-menu__menu-item__icon::before {
    content: '';
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 50px;
    border-right: 1px solid rgba(55, 71, 79, .15);
}

.mobile-menu__sub-menu__menu-item__icon svg {
    margin: 0 auto;
    display: block;
}

.mobile-menu__sub-menu__menu-item__text {
    font-weight: 600;
    padding-left: 20px;
    font-size: 13px;
    line-height: 1;
    color: #37474F;
}

.mobile-menu__sub-menu__menu-item.first {
    background: #F1F4F5;
    border-color: transparent;
    margin-bottom: 15px;
}

.mobile-menu__sub-menu__menu-item.first::before {
    transform: translateY(-50%) rotate(90deg);
}

.mobile-menu__sub-menu__menu-item.active::before {
    transform: translateY(-50%) rotate(-90deg);
}

.mobile-menu__sub-menu__menu-item.active .mobile-menu__sub-menu__menu-item__inner {
    opacity: 1;
    visibility: visible;
}

.mobile-menu__sub-menu__menu-item.active .mobile-menu__sub-menu__menu-item__icon {
    flex-basis: 0;
    opacity: 0;
    width: 0;
}

.mobile-menu__sub-menu__wrapper {
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 440px;
    padding: 0px 15px;
}

.mobile-menu__sub-menu__link,
.mobile-menu__sub-menu__title {
    padding: 0px 15px;
}

.mobile-menu__sub-menu__links-block {
    margin: 30px 0;
}

.mobile-menu__sub-menu__links-block a {
    font-weight: 600;
    display: block;
    font-size: 14px;
    line-height: 15px;
    color: #37474F;
    margin-bottom: 15px;
}

.mobile-menu__sub-menu__footer {
    padding-top: 30px;
    position: relative;
}

.mobile-menu__sub-menu__footer::before {
    content: '';
    position: absolute;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
    width: calc(100% + 30px);
    height: 50px;
    border-top: 1px solid rgba(55, 71, 79, .15);
}

.mobile-menu__sub-menu__socials label,
.mobile-menu__sub-menu__footer label {
    font-size: 13px;
    line-height: 12px;
    color: rgba(55, 71, 79, .5);
    display: block;
    margin-bottom: 7px;
}

.mobile-menu__sub-menu__footer a {
    font-weight: 700;
    font-size: 24px;
    line-height: 23px;
    display: block;
    margin-bottom: 15px;
}

.mobile-menu--sub-item-search {
    margin: 30px 0;
}

.mobile-menu--sub-item-search .mobile-menu--sub-item-search--wrapper {
    position: relative;
}

.mobile-menu--sub-item-search .mobile-menu--sub-item-search--wrapper input[type="text"] {
    width: 100%;
    border-radius: 5px;
    border: 1px solid rgb(77 83 87 / 15%);
    padding: 13px 46px 11px 19px;
    font-size: 15px;
}
.mobile-menu--sub-item-search .mobile-menu--sub-item-search--wrapper input[type="submit"] {
    background-image: url(images/search.svg);
    position: absolute;
    display: block;
    width: 46px;
    height: 100%;
    top: 0;
    right: 0;
    font-size: 0;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    background-color: transparent;
}


.menu-main.active .menu-button rect:nth-child(1) {
    animation: menu-open-top .6s ease-in-out forwards;
}

.menu-main.active .menu-button rect:nth-child(2) {
    animation: menu-open-mid .6s ease-in-out forwards;
}

.menu-main.active .menu-button rect:nth-child(3) {
    animation: menu-open-bottom .6s ease-in-out forwards;
}

.menu-main:not(.active).animate .menu-button rect:nth-child(1) {
    animation: menu-close-top .6s ease-in-out forwards;
}

.menu-main:not(.active).animate .menu-button rect:nth-child(2) {
    animation: menu-close-mid .6s ease-in-out forwards;
}

.menu-main:not(.active).animate .menu-button rect:nth-child(3) {
    animation: menu-close-bottom .6s ease-in-out forwards;
}

/*Из бургера в крест*/
@keyframes menu-open-top {
    0% {
        transform: translateY(0) rotate(0deg);
    }
    50% {
        transform: translateY(6px) rotate(0deg);
    }
    100% {
        transform: translateY(6px) rotate(-45deg);
    }
}
@keyframes menu-open-mid {
    0% {
        opacity: 1;
    }
    49% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}
@keyframes menu-open-bottom {
    0% {
        transform: translateY(0) rotate(0deg);
    }
    50% {
        transform: translateY(-6px) rotate(0deg);
    }
    100% {
        transform: translateY(-6px) rotate(45deg);
    }
}
 /* end */

 /* Из креста в бургер */
@keyframes menu-close-top {
    0% {
        transform: translateY(6px) rotate(-45deg);
    }
    50% {
        transform: translateY(6px) rotate(0deg);
    }
    100% {
        transform: translateY(0) rotate(0deg);
    }
}
@keyframes menu-close-mid {
    0% {
        opacity: 0;
    }
    49% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}
@keyframes menu-close-bottom {
    0% {
        transform: translateY(-6px) rotate(45deg);
    }
    50% {
        transform: translateY(-6px) rotate(0deg);
    }
    100% {
        transform: translateY(0) rotate(0deg);
    }
}

